## org.apache.batik.dom.svg
Class SVGTransformableSupport

    java.lang.Object
      org.apache.batik.dom.svg.SVGTransformableSupport

public class SVGTransformableSupport
extends java.lang.Object

This class provides support for the SVGTransformable interface.

Field Summary
`static java.lang.String` `TRANSFORM_DEFAULT_VALUE` Default value for the 'transform' attribute.

Constructor Summary
`SVGTransformableSupport()` Creates a new SVGTransformableSupport.

Method Summary
`static SVGAnimatedTransformList` `getTransform(AbstractElement elt)` To implement `SVGTransformable.getTransform()`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TRANSFORM_DEFAULT_VALUE

    public static final java.lang.String TRANSFORM_DEFAULT_VALUE

  Default value for the 'transform' attribute.

  See Also:
    Constant Field Values

Constructor Detail

### SVGTransformableSupport

    public SVGTransformableSupport()

  Creates a new SVGTransformableSupport.

Method Detail

### getTransform

    public static SVGAnimatedTransformList getTransform(AbstractElement elt)

  To implement `SVGTransformable.getTransform()`.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.